//
//  Buttons.swift
//  Kaktovik Introduction
//
//  Created by Linus Plohr on 1/14/24.
//

import SwiftUI

struct CorrectButton: View {
    var label: String
    @ObservedObject var navigation: Navigation

    var body: some View {
        Button {
            navigation.page_list.append(navigation.current_page)
            navigation.current_page = navigation.correct_page
            print("CorrectButton: current_page = \(navigation.current_page); page_list = \(navigation.page_list)")
        } label: {
            Text(label)
                .font(.title2)
                .fontWeight(.semibold)
                .foregroundColor(.white)
        }
    }
}

struct IncorrectButton: View {
    var label: String
    @ObservedObject var navigation: Navigation

    var body: some View {
        Button {
            navigation.page_list.append(navigation.current_page)
            navigation.current_page = navigation.incorrect_page
            print("IncorrectButton: current_page = \(navigation.current_page); page_list = \(navigation.page_list)")
        } label: {
            Text(label)
                .font(.title2)
                .fontWeight(.semibold)
                .foregroundColor(.white)
        }
    }
}
