//
//  ContentView.swift
//  Kaktovik Introduction
//
//  Created by Linus Plohr on 1/2/24.
//

import SwiftUI

class Navigation: ObservableObject {
    @Published public var cover_page = 0

    @Published public var intro_first_page = 1
    @Published public var intro_last_page = 2

    @Published public var lessons_page = 2000

    @Published public var lesson_1_first_page = 101
    @Published public var lesson_1_last_page = 102
    @Published public var quiz_1_first_page = 151
    @Published public var quiz_1_last_page = 156

    @Published public var lesson_2_first_page = 201
    @Published public var lesson_2_last_page = 204
    @Published public var quiz_2_first_page = 251
    @Published public var quiz_2_last_page = 256

    @Published public var lesson_3_first_page = 301
    @Published public var lesson_3_last_page = 304
    @Published public var quiz_3_first_page = 351
    @Published public var quiz_3_last_page = 356

    @Published public var lesson_4_first_page = 401
    @Published public var lesson_4_last_page = 404
    @Published public var quiz_4_first_page = 451
    @Published public var quiz_4_last_page = 456

    @Published public var lesson_5_first_page = 501
    @Published public var lesson_5_last_page = 504
    @Published public var quiz_5_first_page = 551
    @Published public var quiz_5_last_page = 556
    
    @Published public var mayantest = 601
    
    @Published public var correct_page = 1001
    @Published public var incorrect_page = 1002

    @Published public var current_page = 0
    @Published public var page_list: [Int] = []
}

struct ContentView: View {
    @StateObject var navigation = Navigation()

    var body: some View {
        if navigation.current_page == 0 {
            Cover(navigation: navigation)
        }
        if navigation.current_page == 1 {
            Intro_1(navigation: navigation)
        }
        else if navigation.current_page == 2 {
            Intro_2(navigation: navigation)
        }
        if navigation.current_page == 2000 {
            Lessons(navigation: navigation)
        }
        else if navigation.current_page == 101 {
            Lesson1_1(navigation: navigation)
        }
        else if navigation.current_page == 102 {
            Lesson1_2(navigation: navigation)
        }
        else if navigation.current_page == 151 {
            Quiz1_1(navigation: navigation)
        }
        else if navigation.current_page == 152 {
            Quiz1_2(navigation: navigation)
        }
        else if navigation.current_page == 153 {
            Quiz1_3(navigation: navigation)
        }
        else if navigation.current_page == 154 {
            Quiz1_4(navigation: navigation)
        }
        else if navigation.current_page == 155 {
            Quiz1_5(navigation: navigation)
        }
        else if navigation.current_page == 156 {
            Quiz1_6(navigation: navigation)
        }
        else if navigation.current_page == 201 {
            Lesson2_1(navigation: navigation)
        }
        else if navigation.current_page == 202 {
            Lesson2_2(navigation: navigation)
        }
        else if navigation.current_page == 203 {
            Lesson2_3(navigation: navigation)
        }
        else if navigation.current_page == 204 {
            Lesson2_4(navigation: navigation)
        }
        else if navigation.current_page == 251 {
            Quiz2_1(navigation: navigation)
        }
        else if navigation.current_page == 252 {
            Quiz2_2(navigation: navigation)
        }
        else if navigation.current_page == 253 {
            Quiz2_3(navigation: navigation)
        }
        else if navigation.current_page == 254 {
            Quiz2_4(navigation: navigation)
        }
        else if navigation.current_page == 255 {
            Quiz2_5(navigation: navigation)
        }
        else if navigation.current_page == 256 {
            Quiz2_6(navigation: navigation)
        }
        else if navigation.current_page == 301 {
            Lesson3_1(navigation: navigation)
        }
        else if navigation.current_page == 302 {
            Lesson3_2(navigation: navigation)
        }
        else if navigation.current_page == 303 {
            Lesson3_3(navigation: navigation)
        }
        else if navigation.current_page == 304 {
            Lesson3_4(navigation: navigation)
        }
        else if navigation.current_page == 351 {
            Quiz3_1(navigation: navigation)
        }
        else if navigation.current_page == 352 {
            Quiz3_2(navigation: navigation)
        }
        else if navigation.current_page == 353 {
            Quiz3_3(navigation: navigation)
        }
        else if navigation.current_page == 354 {
            Quiz3_4(navigation: navigation)
        }
        else if navigation.current_page == 355 {
            Quiz3_5(navigation: navigation)
        }
        else if navigation.current_page == 356 {
            Quiz3_6(navigation: navigation)
        }
        else if navigation.current_page == 401 {
            Lesson4_1(navigation: navigation)
        }
        else if navigation.current_page == 402 {
            Lesson4_2(navigation: navigation)
        }
        else if navigation.current_page == 403 {
            Lesson4_3(navigation: navigation)
        }
        else if navigation.current_page == 404 {
            Lesson4_4(navigation: navigation)
        }
        else if navigation.current_page == 451 {
            Quiz4_1(navigation: navigation)
        }
        else if navigation.current_page == 452 {
            Quiz4_2(navigation: navigation)
        }
        else if navigation.current_page == 453 {
            Quiz4_3(navigation: navigation)
        }
        else if navigation.current_page == 454 {
            Quiz4_4(navigation: navigation)
        }
        else if navigation.current_page == 455 {
            Quiz4_5(navigation: navigation)
        }
        else if navigation.current_page == 456 {
            Quiz4_6(navigation: navigation)
        }
        else if navigation.current_page == 501 {
            Lesson5_1(navigation: navigation)
        }
        else if navigation.current_page == 601 {
            MayanTest(navigation: navigation)
        }
        else if navigation.current_page == 1001 {
            CorrectPage(navigation: navigation)
        }
        else if navigation.current_page == 1002 {
            IncorrectPage(navigation: navigation)
        }
    }
}

#Preview {
    ContentView()
}
