//
//  IncorrectPage.swift
//  Kaktovik Introduction
//
//  Created by Linus Plohr on 1/8/24.
//

import SwiftUI

struct IncorrectPage: View {
    @ObservedObject var navigation: Navigation

    var body: some View {
        ZStack {
            Color.purple
                .ignoresSafeArea()
            
            VStack {
                Spacer()
                
                Text("Sorry, incorrect!")
                    .font(.title)
                    .fontWeight(.bold)
                    .foregroundColor(.white)
                    .padding()
                
                Spacer()
                
                BackwardArrow(navigation: navigation)
                LessonsBackArrow(label: "Return to Lessons", navigation: navigation)
            }
        }
    }
}

#Preview {
    @StateObject var navigation = Navigation()

    navigation.current_page = navigation.incorrect_page
    navigation.page_list = [navigation.current_page]

    return IncorrectPage(navigation: navigation)
}
