//
//  Intro_1.swift
//  Kaktovik Introduction
//
//  Created by Linus Plohr on 1/2/24.
//

import SwiftUI

struct Intro_1: View {
    @ObservedObject var navigation: Navigation

    var body: some View {
        return ZStack {
            Color.purple
                .ignoresSafeArea()
            
            VStack {
                Spacer()

                Text("Introduction to")
                    .font(.largeTitle)
                    .fontWeight(.bold)
                    .foregroundColor(.white)
                Text("Kaktovik Numerals")
                    .font(.largeTitle)
                    .fontWeight(.bold)
                    .foregroundColor(.white)
                Text("     Kaktovik is a small town in Northern Alaska. About 30 years ago, middle schoolers and their teacher created a base 20 math system that's named after the town. It is based on the Inupiaq language and is a visual way to do arithmetic. The students learned the Hindu-Arabic system, the most world wide used, as well as the Kaktovik system, and the standardized test scores leaped from below the 20th percentile to significantly above the national average.")
                    .font(.title2)
                    .foregroundColor(.white)
                    .fontWeight(.medium)
                    .padding(.all, 24)

                Spacer()
                ForwardArrow(navigation: navigation)
                LessonsArrow(label: "Go to Lessons", navigation: navigation)
            }
        }
    }
}

#Preview {
    @StateObject var navigation = Navigation()

    navigation.current_page = 1
    navigation.page_list = [navigation.current_page]

    return Intro_1(navigation: navigation)
}
