//
//  LastPage.swift
//  Kaktovik Introduction
//
//  Created by Tate Plohr on 1/2/24.
//

import SwiftUI

struct LastPage: View {
    @Binding var page: Int
    
    var body: some View {
        guard UIFont(name: "Gentium Kaktovik", size: UIFont.labelFontSize) != nil else {
            fatalError("""
                    Failed to load the "Gentium Kaktovik" font.
                """
            )
        }
        
        return ZStack {
            Color.purple
                .ignoresSafeArea()
            
            VStack {
                Spacer()

                Text("What number is this?")
                    .font(.title)
                    .fontWeight(.bold)
                    .foregroundColor(.white)
                    .padding()
                
                Text("\u{1d2c1}")
                    .font (Font.custom("Gentium Kaktovik", size: 64))
                    .foregroundColor(.white)
                    .padding()
                    .padding()

                Text("A. 5")
                    .font(.title2)
                    .fontWeight(.semibold)
                    .foregroundColor(.white)
                
                Text("B. 10")
                    .font(.title2)
                    .fontWeight(.semibold)
                    .foregroundColor(.white)
                
                Text("C. 2")
                    .font(.title2)
                    .fontWeight(.semibold)
                    .foregroundColor(.white)
                
                Text("D. 1")
                    .font(.title2)
                    .fontWeight(.semibold)
                    .foregroundColor(.white)
                
                Spacer()
                BackwardArrow(page: $page)
            }
        }
    }
}

#Preview {
    @State var page = 2

    return LastPage(page: $page)
}
