//
//  Lesson4_2.swift
//  Kaktovik Introduction
//
//  Created by Linus Plohr on 2/10/24.
//

import SwiftUI

struct Lesson4_2: View {
    @ObservedObject var navigation: Navigation

    var body: some View {
        ZStack {
            Color.purple
                .ignoresSafeArea()
            
            VStack {
                Spacer()

                Text("Here is an example")
                    .foregroundColor(.white)
                    .fontWeight(.bold)
                    .font(.title)

                Image("SimpleDiv")
                    .resizable()
                    .scaledToFit()
                    .frame(width: 150, height: 200)
                
                
                Text("      The V symbol is highlighted with blue so we can see how it fits into the V part of 12. But we can also see the V symbol fits into the yellow part sideways. As mentioned earlier, this means it's 5x the original symbol. The five symbol can be seen as a sideways one symbol for instance.")
                    .foregroundColor(.white)
                    .fontWeight(.semibold)
                    .font(.title3)
                    .padding(.all, 30)
                
                
                Spacer()
                BothArrows(navigation: navigation)
                LessonsBackArrow(label: "Return to Lessons", navigation: navigation)
            }
        }
    }
}

#Preview {
    @StateObject var navigation = Navigation()

    navigation.current_page = 402
    navigation.page_list = [navigation.current_page]

    return Lesson4_2(navigation: navigation)
}
