//
//  Lesson5_1.swift
//  Kaktovik Introduction
//
//  Created by Linus Plohr on 1/2/24.
//

import SwiftUI

struct Lesson5_1: View {
    @ObservedObject var navigation: Navigation

    var body: some View {
        ZStack {
            Color(.purple)
                .ignoresSafeArea()
            
            VStack {
                Spacer()

                Text("These are the digits of the")
                    .foregroundColor(.white)
                    .font(.title)
                    .fontWeight(.semibold)
                
                Text("Kaktovik Numeral System.")
                    .foregroundColor(.white)
                    .font(.title)
                    .fontWeight(.semibold)
                
                Spacer()
                
                Image("KaktovikNumerals")
                    .cornerRadius(15)
                    .fontWeight(.semibold)
                
                Text("Then go to the Lessons.")
                    .foregroundColor(.white)
                    .font(.title)
                    .fontWeight(.semibold)
                
                Spacer()
                BackwardArrow(navigation: navigation)
                LessonsArrow(label: "Go to Lessons", navigation: navigation)
            }
        }
    }
}

#Preview {
    @StateObject var navigation = Navigation()

    navigation.current_page = 501
    navigation.page_list = [navigation.current_page]

    return Lesson5_1(navigation: navigation)
}

