//
//  Lesons.swift
//  Kaktovik Introduction
//
//  Created by Linus Plohr on 2/4/24.
//

import SwiftUI

struct Lessons: View {
    @ObservedObject var navigation: Navigation

    var body: some View {
        return ZStack {
            Color.purple
                .ignoresSafeArea()
            
            VStack {
                Spacer()
                Text("Lessons on")
                    .font(.largeTitle)
                    .fontWeight(.bold)
                    .foregroundColor(.white)
                Text("Kaktovik Numerals")
                    .font(.largeTitle)
                    .fontWeight(.bold)
                    .foregroundColor(.white)
                Spacer()
                Text("Lesson 1: Numerals")
                    .font(.title)
                    .fontWeight(.bold)
                    .foregroundColor(.white)
                Lesson1Arrow(label: "Go to Lesson 1", navigation: navigation)
                Quiz1ForwardArrow(label: "Go to Quiz 1", navigation: navigation)
                Spacer()
                Text("Lesson 2: Addition")
                    .font(.title)
                    .fontWeight(.bold)
                    .foregroundColor(.white)
                Text("and Subtraction")
                    .font(.title)
                    .fontWeight(.bold)
                    .foregroundColor(.white)
                Lesson2Arrow(label: "Go to Lesson 2", navigation: navigation)
                Quiz2ForwardArrow(label: "Go to Quiz 2", navigation: navigation)
                Spacer()
                Text("Lesson 3: Multiplication")
                    .font(.title)
                    .fontWeight(.bold)
                    .foregroundColor(.white)
                Lesson3Arrow(label: "Go to Lesson 3", navigation: navigation)
                Quiz3ForwardArrow(label: "Go to Quiz 3", navigation: navigation)
                Spacer()
                Text("Lesson 4: Division")
                    .font(.title)
                    .fontWeight(.bold)
                    .foregroundColor(.white)
                Lesson4Arrow(label: "Go to Lesson 4", navigation: navigation)
                Quiz4ForwardArrow(label: "Go to Quiz 4", navigation: navigation)
                Spacer()
                
                Text("Lesson 5: Long Division")
                    .font(.title)
                    .fontWeight(.bold)
                    .foregroundColor(.white)
                Lesson4Arrow(label: "Go to Lesson 5", navigation: navigation)
                Quiz4ForwardArrow(label: "Go to Quiz 5", navigation: navigation)
                Spacer()
                
                
                IntroBackArrow(label: "Go to Intro", navigation: navigation)
            }
        }
    }
}

#Preview {
    @StateObject var navigation = Navigation()

    navigation.current_page = 2000
    navigation.page_list = [navigation.current_page]

    return Lessons(navigation: navigation)
}
