//
//  MayanTest.swift
//  Kaktovik Introduction
//
//  Created by Linus Plohr on 1/2/24.
//

import SwiftUI

struct MayanTest: View {
    @ObservedObject var navigation: Navigation

    var body: some View {
        ZStack {
            Color.purple
                .ignoresSafeArea()
            
            VStack {
                Spacer()

                Text("What number is this?")
                    .font(.title)
                    .fontWeight(.bold)
                    .foregroundColor(.white)
                    .padding()
                
                Text("\u{1D2E7}")
                    .font (Font.custom("NotoSansMayanNumerals-Regular", size: 64))
                    .foregroundColor(.white)
                    .padding()
                    .padding()

                IncorrectButton(label: "A. 6", navigation: navigation)
                IncorrectButton(label: "B. 8", navigation: navigation)
                IncorrectButton(label: "C. 9", navigation: navigation)
                CorrectButton(label: "D. 7", navigation: navigation)

                Spacer()
                Quiz1BothArrows(navigation: navigation)
                LessonsBackArrow(label: "Return to Lessons", navigation: navigation)
            }
        }
    }
}

#Preview {
    @StateObject var navigation = Navigation()

    navigation.current_page = 151
    navigation.page_list = [navigation.current_page]

    return MayanTest(navigation: navigation)
}

