//
//  Quiz1_1.swift
//  Kaktovik Introduction
//
//  Created by Linus Plohr on 1/2/24.
//

import SwiftUI

struct Quiz1_1: View {
    @ObservedObject var navigation: Navigation

    var body: some View {
        ZStack {
            Color.purple
                .ignoresSafeArea()
            
            VStack {
                Spacer()

                Text("What number is this?")
                    .font(.title)
                    .fontWeight(.bold)
                    .foregroundColor(.white)
                    .padding()
                
                Text("\u{1d2c1}")
                    .font (Font.custom("Gentium Kaktovik", size: 64))
                    .foregroundColor(.white)
                    .padding()
                    .padding()

                IncorrectButton(label: "A. 5", navigation: navigation)
                IncorrectButton(label: "B. 10", navigation: navigation)
                IncorrectButton(label: "C. 2", navigation: navigation)
                CorrectButton(label: "D. 1", navigation: navigation)

                Spacer()
                Quiz1BothArrows(navigation: navigation)
                LessonsBackArrow(label: "Return to Lessons", navigation: navigation)
            }
        }
    }
}

#Preview {
    @StateObject var navigation = Navigation()

    navigation.current_page = 151
    navigation.page_list = [navigation.current_page]

    return Quiz1_1(navigation: navigation)
}
