//
//  Quiz1_2.swift
//  Kaktovik Introduction
//
//  Created by Linus Plohr on 1/7/24.
//

import SwiftUI

struct Quiz1_2: View {
    @ObservedObject var navigation: Navigation

    var body: some View {
        ZStack {
            Color.purple
                .ignoresSafeArea()
            
            VStack {
                Spacer()

                Text("What number is this?")
                    .font(.title)
                    .fontWeight(.bold)
                    .foregroundColor(.white)
                    .padding()
                
                Text("\u{1d2c7}")
                    .font (Font.custom("Gentium Kaktovik", size: 64))
                    .foregroundColor(.white)
                    .padding()
                    .padding()

                IncorrectButton(label: "A. 9", navigation: navigation)
                IncorrectButton(label: "B. 4", navigation: navigation)
                CorrectButton(label: "C. 7", navigation: navigation)
                IncorrectButton(label: "D. 10", navigation: navigation)

                Spacer()
                Quiz1BothArrows(navigation: navigation)
                LessonsBackArrow(label: "Return to Lessons", navigation: navigation)
            }
        }
    }
}

#Preview {
    @StateObject var navigation = Navigation()

    navigation.current_page = 152
    navigation.page_list = [navigation.current_page]

    return Quiz1_2(navigation: navigation)
}
