//
//  Quiz1_5.swift
//  Kaktovik Introduction
//
//  Created by Linus Plohr on 1/7/24.
//

import SwiftUI

struct Quiz1_5: View {
    @ObservedObject var navigation: Navigation

    var body: some View {
        ZStack {
            Color.purple
                .ignoresSafeArea()
            
            VStack {
                Spacer()

                Text("What number is this?")
                    .font(.title)
                    .fontWeight(.bold)
                    .foregroundColor(.white)
                    .padding()
                
                Text("\u{1d2c2}")
                    .font (Font.custom("Gentium Kaktovik", size: 64))
                    .foregroundColor(.white)
                    .padding()
                    .padding()
                
                IncorrectButton(label: "A. 1", navigation: navigation)
                IncorrectButton(label: "B. 5", navigation: navigation)
                IncorrectButton(label: "C. 3", navigation: navigation)
                CorrectButton(label: "D. 2", navigation: navigation)
        
                Spacer()
                Quiz1BothArrows(navigation: navigation)
                LessonsBackArrow(label: "Return to Lessons", navigation: navigation)
            }
        }
    }
}

#Preview {
    @StateObject var navigation = Navigation()

    navigation.current_page = 155
    navigation.page_list = [navigation.current_page]

    return Quiz1_5(navigation: navigation)
}
