//
//  Quiz2_1.swift
//  Kaktovik Introduction
//
//  Created by Linus Plohr on 1/7/24.
//

import SwiftUI

struct Quiz2_1: View {
    @ObservedObject var navigation: Navigation

    var body: some View {
        ZStack {
            Color.purple
                .ignoresSafeArea()
            
            VStack {
                Spacer()

                Text("\u{1D2C7} - \u{1d2c5}")
                    .font (Font.custom("Gentium Kaktovik", size: 64))
                    .font(.title)
                    .fontWeight(.bold)
                    .foregroundColor(.white)
                    .padding()
                
                IncorrectButton(label:"A. 1", navigation: navigation)
                IncorrectButton(label: "B. 4", navigation: navigation)
                IncorrectButton(label: "C. 3", navigation: navigation)
                CorrectButton(label: "D. 2", navigation: navigation)
        
                Spacer()
                Quiz2BothArrows(navigation: navigation)
                LessonsBackArrow(label: "Return to Lessons", navigation: navigation)
            }
        }
    }
}

#Preview {
    @StateObject var navigation = Navigation()

    navigation.current_page = 251
    navigation.page_list = [navigation.current_page]

    return Quiz2_1(navigation: navigation)
}
