//
//  Quiz2_5.swift
//  Kaktovik Introduction
//
//  Created by Linus Plohr on 2/10/24.
//

import SwiftUI

struct Quiz2_5: View {
    @ObservedObject var navigation: Navigation

    var body: some View {
        ZStack {
            Color.purple
                .ignoresSafeArea()
            
            VStack {
                Spacer()

                Text("\u{1D2CB} - \u{1d2cA}")
                    .font (Font.custom("Gentium Kaktovik", size: 64))
                    .font(.title)
                    .fontWeight(.bold)
                    .foregroundColor(.white)
                    .padding()
                
                IncorrectButton(label: "A. 3", navigation: navigation)
                CorrectButton(label: "B. 1", navigation: navigation)
                IncorrectButton(label: "C. 2", navigation: navigation)
                IncorrectButton(label: "D. 4", navigation: navigation)
        
                Spacer()
                Quiz2BothArrows(navigation: navigation)
                LessonsBackArrow(label: "Return to Lessons", navigation: navigation)
            }
        }
    }
}

#Preview {
    @StateObject var navigation = Navigation()

    navigation.current_page = 255
    navigation.page_list = [navigation.current_page]

    return Quiz2_5(navigation: navigation)
}
