//
//  Quiz3_5.swift
//  Kaktovik Introduction
//
//  Created by Linus Plohr on 2/10/24.
//

import SwiftUI

struct Quiz3_5: View {
    @ObservedObject var navigation: Navigation

    var body: some View {
        ZStack {
            Color.purple
                .ignoresSafeArea()
            
            VStack {
                Spacer()

                Text("\u{1D2C6} x \u{1d2c6}")
                    .font (Font.custom("Gentium Kaktovik", size: 64))
                    .font(.title)
                    .fontWeight(.bold)
                    .foregroundColor(.white)
                    .padding()
                
                IncorrectButton(label: "A. 32", navigation: navigation)
                IncorrectButton(label: "B. 30", navigation: navigation)
                CorrectButton(label: "C. 36", navigation: navigation)
                IncorrectButton(label: "D. 40", navigation: navigation)
        
                Spacer()
                Quiz3BothArrows(navigation: navigation)
                LessonsBackArrow(label: "Return to Lessons", navigation: navigation)
            }
        }
    }
}

#Preview {
    @StateObject var navigation = Navigation()

    navigation.current_page = 355
    navigation.page_list = [navigation.current_page]

    return Quiz3_5(navigation: navigation)
}
