//
//  Quiz4_1.swift
//  Kaktovik Introduction
//
//  Created by Linus Plohr on 2/4/24.
//

import SwiftUI

struct Quiz4_1: View {
    @ObservedObject var navigation: Navigation

    var body: some View {
        ZStack {
            Color.purple
                .ignoresSafeArea()
            
            VStack {
                Spacer()

                Text("\u{1D2D2} \u{00F7} \u{1D2C6}")
                    .font (Font.custom("Gentium Kaktovik", size: 64))
                    .font(.title)
                    .fontWeight(.bold)
                    .foregroundColor(.white)
                    .padding()
                
                IncorrectButton(label: "A. 1", navigation: navigation)
                IncorrectButton(label: "B. 4", navigation: navigation)
                CorrectButton(label: "C. 3", navigation: navigation)
                IncorrectButton(label: "D. 2", navigation: navigation)
        
                Spacer()
                Quiz4BothArrows(navigation: navigation)
                LessonsBackArrow(label: "Return to Lessons", navigation: navigation)
            }
        }
    }
}

#Preview {
    @StateObject var navigation = Navigation()

    navigation.current_page = 451
    navigation.page_list = [navigation.current_page]

    return Quiz4_1(navigation: navigation)
}
